<?php get_header();
	$ritca_page_builder = rwmb_meta('ritca_page_builder','checkbox',$post->ID);
	$ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
	$ritca_sidebar = rwmb_meta('ritca_sidebar','select',$post->ID);
	$post_share_s = rwmb_meta('ritca_post_share_s','checkbox',$post->ID);
	$post_views_s = rwmb_meta('ritca_post_views_s','checkbox',$post->ID);
	if ($ritca_sidebar == "default") {
		$sidebar_layout = vsetting_options('sidebar_layout');
		if ($sidebar_layout == 'centered') {
			$ritca_sidebar = 'page-centered';
		}elseif ($sidebar_layout == 'left') {
			$ritca_sidebar = 'page-left-sidebar';
		}elseif ($sidebar_layout == 'full') {
			$ritca_sidebar = 'full';
		}else {
			$ritca_sidebar = 'page-right-sidebar';
		}
	}
	$ritca_pagination = get_post_meta($post->ID,"ritca_pagination",true);
	if ($ritca_page_builder == 1) {
		$paged = (get_query_var("paged") != ""?(int)get_query_var("paged"):(get_query_var("page") != ""?(int)get_query_var("page"):1));
		if ($paged > 1 && isset($ritca_pagination) && $ritca_pagination == 1) {
			query_posts(array('paged' => $paged,'post_type' => 'post'));
			$post_style = vsetting_options("post_style");
			if ($post_style == "style_2" || $post_style == "style_3") {echo "<div class='row blog-all isotope'>";}
			get_template_part("loop","index");
			if ($post_style == "style_2" || $post_style == "style_3") {echo "</div>";}
		}else {
			$builder_item = get_post_meta($post->ID,'builder_item');
			$builder_item = (isset($builder_item[0])?$builder_item[0]:"");
			if($builder_item) {
				foreach ($builder_item as $key_b => $builder)	{
					vsetting_Builder($builder,$ritca_sidebar,$key_b);
				}
			}
		}
		if (isset($ritca_pagination) && $ritca_pagination == 1) {
			query_posts(array('paged' => $paged,'post_type' => 'post'));
			get_template_part("includes/pagination");
		}
		wp_reset_query();
	}else {
		if ( have_posts() ) : while ( have_posts() ) : the_post();
			$ritca_page_style = rwmb_meta('ritca_page_style','select',$post->ID);
			if (has_post_thumbnail()) {
		    	$post_type = " image_post";
			}else {
		    	$post_type = " no_image_post";
			}
			if ($post->post_content == "") {
				$post_type = " post-no-content".$post_type;
			}else {
				$post_type = " post--content".$post_type;
			}
			
			if ($ritca_page_style == "style_2") {
				$post_type = " page-style-2".$post_type;
			}
			
			$custom_page_setting = rwmb_meta('ritca_custom_page_setting','checkbox',$post->ID);
			$post_meta_s = rwmb_meta('ritca_post_meta_s','checkbox',$post->ID);
			$post_comments_s = rwmb_meta('ritca_post_comments_s','checkbox',$post->ID);
			$post_navigation_s = rwmb_meta('ritca_post_navigation_s','checkbox',$post->ID);?>
			<article <?php post_class('post clearfix '.$post_type);?> role="article" itemscope="" itemtype="http://schema.org/Article">
				<?php if ($ritca_page_style != "style_2") {?>
					<div class="post-head"><h1><a itemprop="url" href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php the_title();?></a></h1>
						<?php $posts_meta = vsetting_options("post_meta");
						if (($posts_meta == "on" && $post_meta_s == "") || ($posts_meta == "on" && isset($custom_page_setting) && $custom_page_setting == 0) || ($posts_meta == "on" && isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_meta_s) && $post_meta_s != 0) || (isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_meta_s) && $post_meta_s == 1)) {
							$author_by = vsetting_options("author_by");
							$date_format = (vsetting_options("date_format")?vsetting_options("date_format"):get_option("date_format"));?>
				    		<div class="post-meta">
				    			<?php if ($author_by == 'on') {?>
				    				<div><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php the_author_posts_link();?></div>
				    			<?php }?>
				    			<div><i class="fa fa-clock-o"></i><?php the_time($date_format);?></div>
				    			<div><i class="fa fa-comments"></i><?php comments_popup_link(__('0 Comments', 'ritca'), __('1 Comment', 'ritca'), '% '.__('Comments', 'ritca'));?></div>
				    		</div><!-- End post-meta -->
						<?php }?>
						<div class="clearfix"></div>
					</div><!-- End post-head -->
				<?php }?>
				<div class="post-wrap">
		    		<div <?php echo ($ritca_what_post == "soundcloud"?$soundcloud_background:"").($ritca_what_post == "twitter"?$twitter_background:"").($ritca_what_post == "facebook"?$facebook_background:"")?> class="post-img<?php if ((!isset($ritca_what_post) || $ritca_what_post == "none" || $ritca_what_post == "image" || $ritca_what_post == "soundcloud" || $ritca_what_post == "twitter" || $ritca_what_post == "facebook") && !has_post_thumbnail()) {echo " post-img-0";}else if ($ritca_what_post == "video" || $ritca_what_post == "soundcloud" || $ritca_what_post == "twitter" || $ritca_what_post == "facebook") {echo " post-iframe";}if ($ritca_sidebar == "full") {echo " post-img-12";}else {echo " post-img-8";}?>">
		    			<?php if (has_post_thumbnail() && $ritca_what_post != "image_lightbox") {?><a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php }
		    				get_template_part('includes/head');
		    			if (has_post_thumbnail() && $ritca_what_post != "image_lightbox") {?></a><?php }?>
		    		</div>
		    		<div class="post-inner">
		    			<?php if ($ritca_page_style == "style_2") {
		    				$ritca_post_icon = rwmb_meta('ritca_post_icon',"text",$post->ID);?>
		    				<div class="post-title"><i class="fa <?php if (isset($ritca_post_icon) && $ritca_post_icon != "") {echo esc_attr($ritca_post_icon);}else {echo "fa-file-text";}?>"></i><?php the_title()?></div>
		    			<?php }?>
						<div class="post-inner-content">
							<?php the_content();
							wp_link_pages(array('before' => '<div class="pagination post-pagination">','after' => '</div>','link_before' => '<span>','link_after' => '</span>'));?>
						</div>
		    			<div class="clearfix"></div>
		    			<?php $post_views = vsetting_options("post_views");
		    			$post_share = vsetting_options("post_share");
		    			if ((($post_views == "on" && $post_views_s == "") || ($post_views == "on" && isset($custom_page_setting) && $custom_page_setting == 0) || ($post_views == "on" && isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_views_s) && $post_views_s != 0) || (isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_views_s) && $post_views_s == 1)) || (($post_share == "on" && $post_share_s == "") || ($post_share == "on" && isset($custom_page_setting) && $custom_page_setting == 0) || ($post_share == "on" && isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_share_s) && $post_share_s != 0) || (isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_share_s) && $post_share_s == 1))) {?>
			    			<div class="post-share-view">
			    				<div class="post-meta">
			    					<?php if (($post_views == "on" && $post_views_s == "") || ($post_views == "on" && isset($custom_page_setting) && $custom_page_setting == 0) || ($post_views == "on" && isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_views_s) && $post_views_s != 0) || (isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_views_s) && $post_views_s == 1)) {
			    						$post_stats = get_post_meta($post->ID, 'post_stats', true)?>
			    						<div><i class="fa fa-eye"></i><span><?php echo (isset($post_stats) && $post_stats != ""?(int)$post_stats:0)?> </span><?php _e("Views","ritca")?></div>
			    					<?php }
			    					if (($post_share == "on" && $post_share_s == "") || ($post_share == "on" && isset($custom_page_setting) && $custom_page_setting == 0) || ($post_share == "on" && isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_share_s) && $post_share_s != 0) || (isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_share_s) && $post_share_s == 1)) {?>
				    					<div class="post-meta-share">
				    						<i class="fa fa-share-alt"></i>
				    						<a href="#"><?php _e("Share This","ritca")?></a>
				    						<div class="share-social">
				    							<ul>
				    								<li class="social-facebook"><a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(get_permalink());?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
				    								<li class="social-twitter"><a href="http://twitter.com/home?status=<?php echo urlencode(get_permalink());?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
				    								<li class="social-google"><a href="http://plus.google.com/share?url=<?php echo urlencode(get_permalink());?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
				    							</ul>
				    							<i class="fa fa-caret-down"></i>
				    						</div><!-- End follow-social -->
				    					</div><!-- End post-meta-share -->
			    					<?php }?>
			    				</div><!-- End post-meta -->
			    			</div><!-- End post-share-view -->
		    			<?php }?>
		    			<div class="clearfix"></div>
		    		</div><!-- End post-inner -->
				</div><!-- End post-wrap -->
			</article><!-- End post -->
			
			<?php
			$ritca_share_adv_type = rwmb_meta('ritca_share_adv_type','radio',$post->ID);
			$ritca_share_adv_code = rwmb_meta('ritca_share_adv_code','textarea',$post->ID);
			$ritca_share_adv_href = rwmb_meta('ritca_share_adv_href','text',$post->ID);
			$ritca_share_adv_img = rwmb_meta('ritca_share_adv_img','upload',$post->ID);
			
			if ((is_single() || is_page()) && (($ritca_share_adv_type == "display_code" && $ritca_share_adv_code != "") || ($ritca_share_adv_type == "custom_image" && $ritca_share_adv_img != ""))) {
				$share_adv_type = $ritca_share_adv_type;
				$share_adv_code = $ritca_share_adv_code;
				$share_adv_href = $ritca_share_adv_href;
				$share_adv_img = $ritca_share_adv_img;
			}else {
				$share_adv_type = vsetting_options("share_adv_type");
				$share_adv_code = vsetting_options("share_adv_code");
				$share_adv_href = vsetting_options("share_adv_href");
				$share_adv_img = vsetting_options("share_adv_img");
			}
			if (($share_adv_type == "display_code" && $share_adv_code != "") || ($share_adv_type == "custom_image" && $share_adv_img != "")) {
				echo '<div class="clearfix"></div>
				<div class="advertising">';
				if ($share_adv_type == "display_code") {
					echo stripcslashes($share_adv_code);
				}else {
					if ($share_adv_href != "") {
						echo '<a href="'.$share_adv_href.'">';
					}
					echo '<img alt="" src="'.$share_adv_img.'">';
					if ($share_adv_href != "") {
						echo '</a>';
					}
				}
				echo '</div><!-- End advertising -->
				<div class="clearfix"></div>';
			}
			
			$post_comments = vsetting_options("post_comments");
			if (($post_comments == "on" && $post_comments_s == "") || ($post_comments == "on" && isset($custom_page_setting) && $custom_page_setting == 0) || ($post_comments == "on" && isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_comments_s) && $post_comments_s != 0) || (isset($custom_page_setting) && $custom_page_setting == 1 && isset($post_comments_s) && $post_comments_s == 1)) {
				comments_template();
			}
			
		endwhile; endif;
	}
get_footer();?>