<?php
function vsetting_Tabs_News($box_title,$box_posts_num,$box_cats,$box_style,$excerpt_title,$excerpt,$orderby,$ritca_sidebar,$animate) {
	global $post;
	$animate_class = (isset($animate) && $animate != "" && $animate != "none"?"animation ":"");
	$data_animate = (isset($animate) && $animate != "" && $animate != "none"?" data-animate='".esc_attr($animate)."'":"");
	$date_format = (vsetting_options("date_format")?vsetting_options("date_format"):get_option("date_format"));
	$author_by = vsetting_options("author_by");
	$excerpt_title = (isset($excerpt_title) && (int)$excerpt_title != ""?$excerpt_title:5);
	$excerpt = (isset($excerpt) && (int)$excerpt != ""?$excerpt:35);
	$rand_tab = rand(1,1000);
	if ($orderby == "popular") {
		$orderby = array('orderby' => 'comment_count');
	}else if ($orderby == "random") {
		$orderby = array('orderby' => 'rand');
	}else {
		$orderby = array();
	}
	if ($box_style == "home_1") {
		?>
		<div class="<?php echo ($animate_class)?>block-box tabs-warp<?php echo ($ritca_sidebar == "full"?" block-box-full block-box-full-1 block-box-full".esc_attr($rand_tab):"")?>"<?php echo ($data_animate)?>>
			<div class="block-box-title">
				<?php
				if (isset($box_cats) && is_array($box_cats)) {?>
					<ul class="tabs tabs<?php echo esc_attr($rand_tab);?>">
						<?php foreach ($box_cats as $key => $value) {?>
							<li class="tab"><a href="#"><?php echo get_the_category_by_ID($value)?></a></li>
						<?php }?>
					</ul>
				<?php }else {
					_e('Please choose one category at least .','ritca');
				}
				?>
			</div>
			<?php if (isset($box_cats) && is_array($box_cats)) {
				foreach ($box_cats as $key => $value) {?>
					<div class="tab-inner-warp tab-inner-warp<?php echo esc_attr($rand_tab)?>">
						<div class="block-box-1">
							<ul>
								<?php query_posts(array_merge($orderby,array('cat' => $value,'ignore_sticky_posts' => 1,'posts_per_page' => $box_posts_num)));
								if ( have_posts() ) :
								$k = 0;
								while ( have_posts() ) : the_post();$k++;
									$ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
									$video_type = rwmb_meta('ritca_video_post_type',"select",$post->ID);
									$post_username = get_post_meta($post->ID, 'post_username',true);
									$post_email = get_post_meta($post->ID, 'post_email',true);
								    if ($k == 1) {?>
										<li class="block-box-first">
											<?php if (has_post_thumbnail()) {?>
												<div class="block-box-img"><div class="view effect"><figure class="effect-imghover">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',345,165);?>
													</a>
													<figcaption></figcaption></figure>
									                </div>
												</div>
											<?php }?>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
												<div class="clearfix"></div>
												<p><?php excerpt($excerpt);?></p>
												<a class="button-default post-more" href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php _e("Continue Reading","ritca")?></a>
											</div>
										</li>
									<?php }else {?>
										<li<?php echo ($ritca_sidebar == "full"?" class='box-full-6'":"")?>>
											<?php if (has_post_thumbnail()) {?>
												<div class="block-box-img">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',130,70);?>
													</a>
												</div>
											<?php }?>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
											</div>
										</li>
									<?php }
								endwhile;endif;?>
							</ul>
							<div class="clearfix"></div>
						</div>
					</div>
				<?php }
			}
			?>
		</div><!-- End block-box -->
		<div class="clearfix"></div>
		<?php
	}else if ($box_style == "home_2") {
		?>
		<div class="<?php echo ($animate_class)?>block-box tabs-warp<?php echo ($ritca_sidebar == "full"?" block-box-full block-box-full-2 block-box-full".esc_attr($rand_tab):"")?>"<?php echo ($data_animate)?>>
			<div class="block-box-title">
				<?php
				if (isset($box_cats) && is_array($box_cats)) {?>
					<ul class="tabs tabs<?php echo esc_attr($rand_tab);?>">
						<?php foreach ($box_cats as $key => $value) {?>
							<li class="tab"><a href="#"><?php echo get_the_category_by_ID($value)?></a></li>
						<?php }?>
					</ul>
				<?php }else {
					_e('Please choose one category at least .','ritca');
				}
				?>
			</div>
			<?php if (isset($box_cats) && is_array($box_cats)) {
				foreach ($box_cats as $key => $value) {?>
					<div class="tab-inner-warp tab-inner-warp<?php echo esc_attr($rand_tab)?>">
						<div class="block-box-1 block-box-2">
							<ul>
								<?php query_posts(array_merge($orderby,array('cat' => $value,'ignore_sticky_posts' => 1,'posts_per_page' => $box_posts_num)));
								if ( have_posts() ) :
								$k = 0;
								while ( have_posts() ) : the_post();$k++;
								    $ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
								    $video_type = rwmb_meta('ritca_video_post_type',"select",$post->ID);
								    $post_username = get_post_meta($post->ID, 'post_username',true);
								    $post_email = get_post_meta($post->ID, 'post_email',true);
								    if ($k == 1) {?>
										<li class="block-box-first">
											<?php if (has_post_thumbnail()) {?>
												<div class="block-box-img"><div class="view effect"><figure class="effect-imghover">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',345,240);?>
													</a>
													<figcaption></figcaption></figure>
									                </div>
												</div>
											<?php }?>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
												<div class="clearfix"></div>
												<p><?php excerpt($excerpt);?></p>
												<a class="button-default post-more" href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php _e("Continue Reading","ritca")?></a>
											</div>
										</li>
									<?php }else {?>
										<li<?php echo ($ritca_sidebar == "full"?" class='box-full-3'":"")?>>
											<?php if (has_post_thumbnail()) {?>
												<div class="block-box-img">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',130,70);?>
													</a>
												</div>
											<?php }?>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
											</div>
										</li>
									<?php }
								endwhile;endif;?>
							</ul>
							<div class="clearfix"></div>
						</div>
					</div>
				<?php }
			}
			?>
		</div><!-- End block-box -->
		<div class="clearfix"></div>
		<?php
	}
	
	else if ($box_style == "home_4") {
		?>
		<div class="<?php echo ($animate_class)?>block-box tabs-warp<?php echo ($ritca_sidebar == "full"?" block-box-full block-box-full-1 block-box-full".esc_attr($rand_tab):"")?>"<?php echo ($data_animate)?>>
			<div class="block-box-title">
				<?php
				if (isset($box_cats) && is_array($box_cats)) {?>
					<ul class="tabs tabs<?php echo esc_attr($rand_tab);?>">
						<?php foreach ($box_cats as $key => $value) {?>
							<li class="tab"><a href="#"><?php echo get_the_category_by_ID($value)?></a></li>
						<?php }?>
					</ul>
				<?php }else {
					_e('Please choose one category at least .','ritca');
				}
				?>
			</div>
			<?php if (isset($box_cats) && is_array($box_cats)) {
				foreach ($box_cats as $key => $value) {?>
					<div class="tab-inner-warp tab-inner-warp<?php echo esc_attr($rand_tab)?>">
						<div class="block-box-1">
							<ul>
								<?php query_posts(array_merge($orderby,array('cat' => $value,'ignore_sticky_posts' => 1,'posts_per_page' => $box_posts_num)));
								if ( have_posts() ) :
								$k = 0;
								while ( have_posts() ) : the_post();$k++;
									$ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
									$video_type = rwmb_meta('ritca_video_post_type',"select",$post->ID);
									$post_username = get_post_meta($post->ID, 'post_username',true);
									$post_email = get_post_meta($post->ID, 'post_email',true);
								    if ($k == 1) {?>
										<li class="block-box-first">
											<?php if (has_post_thumbnail()) {?>
												<div class="block-box-img"><div class="view effect"><figure class="effect-imghover">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',345,165);?>
													</a>
													<figcaption></figcaption></figure>
									                </div>
												</div>
											<?php }?>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
												<div class="clearfix"></div>
												<p><?php excerpt($excerpt);?></p>
												<a class="button-default post-more" href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php _e("Continue Reading","ritca")?></a>
											</div>
										</li>
									<?php }else {?>
										<li<?php echo ($ritca_sidebar == "full"?" class='box-full-6'":"")?>>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
											</div>
										</li>
									<?php }
								endwhile;endif;?>
							</ul>
							<div class="clearfix"></div>
						</div>
					</div>
				<?php }
			}
			?>
		</div><!-- End block-box -->
		<div class="clearfix"></div>
		<?php
	}else if ($box_style == "home_5") {
		?>
		<div class="<?php echo ($animate_class)?>block-box tabs-warp<?php echo ($ritca_sidebar == "full"?" block-box-full block-box-full-5":"")?>"<?php echo ($data_animate)?>>
			<div class="block-box-title">
				<?php
				if (isset($box_cats) && is_array($box_cats)) {?>
					<ul class="tabs tabs<?php echo esc_attr($rand_tab);?>">
						<?php foreach ($box_cats as $key => $value) {?>
							<li class="tab"><a href="#"><?php echo get_the_category_by_ID($value)?></a></li>
						<?php }?>
					</ul>
				<?php }else {
					_e('Please choose one category at least .','ritca');
				}
				?>
			</div>
			<?php if (isset($box_cats) && is_array($box_cats)) {
				foreach ($box_cats as $key => $value) {?>
					<div class="tab-inner-warp tab-inner-warp<?php echo esc_attr($rand_tab)?>">
						<div class="block-box-1 block-box-5">
							<ul>
								<?php query_posts(array_merge($orderby,array('cat' => $value,'ignore_sticky_posts' => 1,'posts_per_page' => $box_posts_num)));
								if ( have_posts() ) :
								while ( have_posts() ) : the_post();
									$ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
									$video_type = rwmb_meta('ritca_video_post_type',"select",$post->ID);
									$post_username = get_post_meta($post->ID, 'post_username',true);
									$post_email = get_post_meta($post->ID, 'post_email',true);?>
									<li class="block-box-first">
										<?php if (has_post_thumbnail()) {?>
											<div class="block-box-img"><div class="view effect"><figure class="effect-imghover">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
													<?php echo get_aq_resize_img('full',345,165);?>
												</a>
												<figcaption></figcaption></figure>
                                                </div>
											</div>
										<?php }?>
										<div class="block-box-content">
											<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
											<?php if ($author_by == 'on') {?>
												<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
											<?php }?>
											<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
											<div class="clearfix"></div>
											<p><?php excerpt($excerpt);?></p>
											<a class="button-default post-more" href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php _e("Continue Reading","ritca")?></a>
										</div>
									</li>
								<?php endwhile;endif;?>
							</ul>
							<div class="clearfix"></div>
						</div>
					</div>
				<?php }
			}
			?>
		</div><!-- End block-box -->
		<div class="clearfix"></div>
		<?php
	}else if ($box_style == "home_6") {
		?>
		<div class="<?php echo ($animate_class)?>block-box tabs-warp<?php echo ($ritca_sidebar == "full"?" block-box-full block-box-full-2 block-box-full".esc_attr($rand_tab):"")?>"<?php echo ($data_animate)?>>
			<div class="block-box-title">
				<?php
				if (isset($box_cats) && is_array($box_cats)) {?>
					<ul class="tabs tabs<?php echo esc_attr($rand_tab);?>">
						<?php foreach ($box_cats as $key => $value) {?>
							<li class="tab"><a href="#"><?php echo get_the_category_by_ID($value)?></a></li>
						<?php }?>
					</ul>
				<?php }else {
					_e('Please choose one category at least .','ritca');
				}
				?>
			</div>
			<?php if (isset($box_cats) && is_array($box_cats)) {
				foreach ($box_cats as $key => $value) {?>
					<div class="tab-inner-warp tab-inner-warp<?php echo esc_attr($rand_tab)?>">
						<div class="block-box-1 block-box-2">
							<ul>
								<?php query_posts(array_merge($orderby,array('cat' => $value,'ignore_sticky_posts' => 1,'posts_per_page' => $box_posts_num)));
								if ( have_posts() ) :
								$k = 0;
								while ( have_posts() ) : the_post();$k++;
									$ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
									$video_type = rwmb_meta('ritca_video_post_type',"select",$post->ID);
									$post_username = get_post_meta($post->ID, 'post_username',true);
									$post_email = get_post_meta($post->ID, 'post_email',true);
								    if ($k == 1) {?>
										<li class="block-box-first">
											<?php if (has_post_thumbnail()) {?>
												<div class="block-box-img"><div class="view effect"><figure class="effect-imghover">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',345,240);?>
													</a>
													<figcaption></figcaption></figure>
									                </div>
												</div>
											<?php }?>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
												<div class="clearfix"></div>
												<p><?php excerpt($excerpt);?></p>
												<a class="button-default post-more" href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php _e("Continue Reading","ritca")?></a>
											</div>
										</li>
									<?php }else {?>
										<li<?php echo ($ritca_sidebar == "full"?" class='box-full-3'":"")?>>
											<div class="block-box-content">
												<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
												<?php if ($author_by == 'on') {?>
													<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
												<?php }?>
												<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
											</div>
										</li>
									<?php }
								endwhile;endif;?>
							</ul>
							<div class="clearfix"></div>
						</div>
					</div>
				<?php }
			}
			?>
		</div><!-- End block-box -->
		<div class="clearfix"></div>
		<?php
	}else if ($box_style == "home_7" || $box_style == "home_8") {
		?>
		<div class="<?php echo ($animate_class)?>block-box tabs-warp<?php echo ($ritca_sidebar == "full"?" block-box-full":"")?>"<?php echo ($data_animate)?>>
			<div class="block-box-title">
				<?php
				if (isset($box_cats) && is_array($box_cats)) {?>
					<ul class="tabs tabs<?php echo esc_attr($rand_tab);?>">
						<?php foreach ($box_cats as $key => $value) {?>
							<li class="tab"><a href="#"><?php echo get_the_category_by_ID($value)?></a></li>
						<?php }?>
					</ul>
				<?php }else {
					_e('Please choose one category at least .','ritca');
				}
				?>
			</div>
			<?php if (isset($box_cats) && is_array($box_cats)) {
				foreach ($box_cats as $key => $value) {?>
					<div class="tab-inner-warp tab-inner-warp<?php echo esc_attr($rand_tab)?>">
						<div class="block-box-1 block-box-7">
							<ul>
								<?php query_posts(array_merge($orderby,array('cat' => $value,'ignore_sticky_posts' => 1,'posts_per_page' => $box_posts_num)));
								if ( have_posts() ) :
								while ( have_posts() ) : the_post();
								    $ritca_what_post = rwmb_meta('ritca_what_post','select',$post->ID);
								    $video_type = rwmb_meta('ritca_video_post_type',"select",$post->ID);
								    $post_username = get_post_meta($post->ID, 'post_username',true);
								    $post_email = get_post_meta($post->ID, 'post_email',true);?>
									<li>
										<?php if ($box_style == "home_7") {
											if (has_post_thumbnail()) {?>
												<div class="block-box-img">
													<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark">
														<?php echo get_aq_resize_img('full',130,70);?>
													</a>
												</div>
											<?php }
										}?>
										<div class="block-box-content">
											<a href="<?php the_permalink();?>" title="<?php printf('%s', the_title_attribute('echo=0')); ?>" rel="bookmark"><?php excerpt_title($excerpt_title);?></a>
											<?php if ($author_by == 'on') {?>
												<span><i class="fa fa-user"></i><?php _e("by","ritca")?> : <?php echo ($post->post_author > 0?the_author_posts_link():$post_username);?></span>
											<?php }?>
											<span><i class="fa fa-clock-o"></i><?php the_time($date_format);?></span>
										</div>
									</li>
								<?php endwhile;endif;?>
							</ul>
							<div class="clearfix"></div>
						</div>
					</div>
				<?php }
			}
			?>
		</div><!-- End block-box -->
		<div class="clearfix"></div>
		<?php
	}

	?>
	<script type="text/javascript">
		jQuery(document).ready(function(){
			jQuery(".block-box-full<?php echo esc_js($rand_tab)?>").each(function () {
				var vids_1 = jQuery("li.box-full-6",this);
				for(var i = 0; i < vids_1.length; i+=4) {
				    vids_1.slice(i, i+4).wrapAll('<li></li>');
				}
				var vids_2 = jQuery("li.box-full-3",this);
				for(var i = 0; i < vids_2.length; i+=2) {
				    vids_2.slice(i, i+2).wrapAll('<li></li>');
				}
			});
			jQuery("ul.tabs<?php echo esc_js($rand_tab);?>").tabs(".tab-inner-warp<?php echo esc_js($rand_tab)?>",{effect:"slide",fadeInSpeed:100});
		});
	</script>
<?php }?>