<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) :
	die (__('Please do not load this page directly. Thanks!','ritca'));
endif;

if ( post_password_required() ) :
    ?><p class="no-comments"><?php _e("This post is password protected. Enter the password to view comments.","ritca");?></p><?php
    return;
endif;

if ( have_comments() ) :?>
	<div id="comments" class="post">
		<div class="post-wrap">
			<div class="post-inner">
				<div class="home-widget"><div class="post-title"><h3><span><?php comments_number(__('Comments','ritca'),__('Comment','ritca'), __('Comments','ritca'));?> <span>( <?php comments_number(__('No','ritca'),__('1','ritca'), __('%','ritca'));?> )</span></h3></div></div>
				<ol class="commentlist clearfix">
				    <?php wp_list_comments('callback=ritca_comment');?>
				</ol><!-- End commentlist -->
				<div class="clearfix"></div>
			</div><!-- End post-inner -->
		</div><!-- End post-wrap -->
	</div><!-- End post -->
	
    <div class="comments-navigation">
        <div class="alignleft"><?php previous_comments_link();?></div>
        <div class="alignright"><?php next_comments_link();?></div>
    </div>
<?php
endif;

if ( comments_open() ) :
	if (vsetting_options("Ritjoy") == "on") :comment_form();endif;?>
	
	<div id="respond" class="post">
		<div class="post-wrap">
			<div class="post-inner">
				<div class="home-widget"><div class="post-title"><h3><span><?php comment_form_title(__('Leave a reply','ritca'),__('Leave a reply to %s','ritca'));?></span></h3></div></div>
				<form action="<?php echo esc_url(home_url('/'));?>/wp-comments-post.php" method="post" id="commentform">
					<div class="comment-form">
						<?php if ( is_user_logged_in() ) : ?>
						    <p><?php _e('Logged in as','ritca')?> <a href="<?php echo get_option('siteurl');?>/wp-admin/profile.php"><?php echo esc_attr($user_identity);?></a>. <a href="<?php echo wp_logout_url(get_permalink());?>" title="Log out of this account"><?php _e('Log out &raquo;','ritca')?></a></p>
						<?php else : ?>
							<div class="form-input">
								<i class="fa fa-user"></i>
								<input type="text" name="author" value="" id="comment_name" aria-required="true" placeholder="<?php _e('Your Name','ritca');?>">
							</div>
							<div class="form-input">
								<i class="fa fa-envelope"></i>
								<input type="email" name="email" value="" id="comment_email" aria-required="true" placeholder="<?php _e('Email','ritca');?>">
							</div>
							<div class="form-input">
								<i class="fa fa-home"></i>
								<input type="url" name="url" value="" id="comment_url" placeholder="<?php _e('URL','ritca');?>">
							</div>
						<?php endif;?>
						<div class="form-input">
							<i class="fa fa-comment"></i>
							<textarea id="comment" name="comment" aria-required="true" placeholder="<?php _e('Comment','ritca');?>"></textarea>
						</div>
						<div class="cancel-comment-reply"><?php cancel_comment_reply_link();?></div>
						<input name="submit" type="submit" id="submit" value="<?php _e('Post Comment','ritca')?>" class="button-default">
						<?php comment_id_fields();?>
						<?php do_action('comment_form', $post->ID);?>
					</div>
					<div class="clearfix"></div>
				</form>
			</div><!-- End post-inner -->
		</div><!-- End post-wrap -->
	</div><!-- End post -->
<?php endif;?>