<?php get_header();
	$ritca_sidebar = rwmb_meta('ritca_sidebar','select',$post->ID);
	if ($ritca_sidebar == "default") {
		$sidebar_layout = vsetting_options('sidebar_layout');
		if ($sidebar_layout == 'centered') {
			$ritca_sidebar = 'page-centered';
		}elseif ($sidebar_layout == 'left') {
			$ritca_sidebar = 'page-left-sidebar';
		}elseif ($sidebar_layout == 'full') {
			$ritca_sidebar = 'full';
		}else {
			$ritca_sidebar = 'page-right-sidebar';
		}
	}
	
	if (has_post_thumbnail()) {
    	$post_type = " image_post";
	}else {
    	$post_type = " no_image_post";
	}?>
	<article <?php post_class('post clearfix '.$post_type);?> role="article" itemscope="" itemtype="http://schema.org/Article">
		<div class="post-wrap">
    		<div class="post-inner">
				<div class="post-inner-content">
					<?php woocommerce_content(); ?>
				</div>
    			<div class="clearfix"></div>
    		</div><!-- End post-inner -->
		</div><!-- End post-wrap -->
	</article><!-- End post -->
	
	<?php
	$ritca_share_adv_type = rwmb_meta('ritca_share_adv_type','radio',$post->ID);
	$ritca_share_adv_code = rwmb_meta('ritca_share_adv_code','textarea',$post->ID);
	$ritca_share_adv_href = rwmb_meta('ritca_share_adv_href','text',$post->ID);
	$ritca_share_adv_img = rwmb_meta('ritca_share_adv_img','upload',$post->ID);
	
	if ((is_single() || is_page()) && (($ritca_share_adv_type == "display_code" && $ritca_share_adv_code != "") || ($ritca_share_adv_type == "custom_image" && $ritca_share_adv_img != ""))) {
		$share_adv_type = $ritca_share_adv_type;
		$share_adv_code = $ritca_share_adv_code;
		$share_adv_href = $ritca_share_adv_href;
		$share_adv_img = $ritca_share_adv_img;
	}else {
		$share_adv_type = vsetting_options("share_adv_type");
		$share_adv_code = vsetting_options("share_adv_code");
		$share_adv_href = vsetting_options("share_adv_href");
		$share_adv_img = vsetting_options("share_adv_img");
	}
	if (($share_adv_type == "display_code" && $share_adv_code != "") || ($share_adv_type == "custom_image" && $share_adv_img != "")) {
		echo '<div class="clearfix"></div>
		<div class="advertising">';
		if ($share_adv_type == "display_code") {
			echo stripcslashes($share_adv_code);
		}else {
			if ($share_adv_href != "") {
				echo '<a href="'.$share_adv_href.'">';
			}
			echo '<img alt="" src="'.$share_adv_img.'">';
			if ($share_adv_href != "") {
				echo '</a>';
			}
		}
		echo '</div><!-- End advertising -->
		<div class="clearfix"></div>';
	}
get_footer();?>