<?php
/**
 * Product loop sale flash
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.11
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $product;
$availability = $product->get_availability();
if ($availability['availability']) :
    echo apply_filters( 'woocommerce_stock_html', '<span class="onsale-s ' . esc_attr( $availability['class'] ) . '"><span class="onsale">' . esc_html( __("Out","ritca") ) . '</span></span>', $availability['availability'] );
endif;
?>
<?php if ( $product->is_on_sale() ) : ?>

	<?php echo apply_filters( 'woocommerce_sale_flash', '<span class="onsale-s"><span class="onsale">' . __( 'Sale!', 'woocommerce' ) . '</span></span>', $post, $product ); ?>

<?php endif; ?>